Bug 851800 - Review Request: compiz - OpenGL window and compositing manager
Review Request: compiz - OpenGL window and compositing manager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Dan Mashal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 18:50 EDT by Wolfgang Ulbrich
Modified: 2013-01-28 10:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:13:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
patch (1.21 KB, patch)
2012-10-05 07:37 EDT, leigh scott
no flags Details | Diff

  None (edit)
Description Wolfgang Ulbrich 2012-08-25 18:50:08 EDT
Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/compiz.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/compiz-0.8.8-2.fc17.src.rpm
Description: Compiz is one of the first OpenGL-accelerated compositing window
managers for the X Window System. The integration allows it to perform
compositing effects in window management, such as a minimization
effect and a cube workspace.  Compiz is an OpenGL compositing manager
that use Compiz use EXT_texture_from_pixmap OpenGL extension for
binding redirected top-level windows to texture objects.
Fedora Account System Username:raveit65
Comment 1 Wolfgang Ulbrich 2012-08-26 06:43:00 EDT
This is a re-review of a retired package.
Comment 2 leigh scott 2012-09-08 04:30:32 EDT
1. remove this obsolete line

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

2. I not happy with you using any gnome deps, please use mate-control-center-devel instead.

BuildRequires:  mate-desktop-devel, control-center-devel, mate-conf-devel

3. Please remove all the commented (#) kde bits

4. This can go as well

# Make sure that former beryl users still have bling
Obsoletes: beryl-core

and this

Obsoletes: compiz < 0.5.2-8
Obsoletes: beryl-mate


5. The mate-conf scriptlets should be updated to current guidelines
Comment 3 leigh scott 2012-09-08 04:35:13 EDT
6.  remove

%clean
rm -rf $RPM_BUILD_ROOT

also remove this

rm -rf $RPM_BUILD_ROOT

from the %build & %install sections


7. remove  

%defattr(-, root, root)

From all the %files sections
Comment 4 Wolfgang Ulbrich 2012-09-08 18:02:33 EDT
new starting point.

SPEC: http://raveit65.fedorapeople.org/compiz/SPEC/compiz.spec

SRPM: http://raveit65.fedorapeople.org/compiz/SRPM/compiz-0.8.8-3.fc18.src.rpm

- initial for fedora
- remove kde stuff
- add comiz_mate_fork.patch
- add isa tags
- remove obsolete beryl stuff
- add mate-control-center dependencies
- remove %%defattr(-, root, root)
- remove rm -rf $RPM_BUILD_ROOT
- remove obsoletes BuildRoot: line
- change %%define to %%global
- fix mate-conf spriplets
Comment 5 Colin Robinson 2012-09-25 19:59:35 EDT
This package was removed due to incompatibilities with the latest version of gnome, but Compiz works perfectly fine with other window managers (eg. XFCE). Don't retire a package just because it doesn't work for gnome users.
Comment 6 leigh scott 2012-09-26 00:43:44 EDT
(In reply to comment #5)
> This package was removed due to incompatibilities with the latest version of
> gnome, but Compiz works perfectly fine with other window managers (eg.
> XFCE). Don't retire a package just because it doesn't work for gnome users.

Go away and take your forum talk elsewhere as we're not interested in your opinions!!
Comment 7 Wolfgang Ulbrich 2012-09-26 06:12:19 EDT
(In reply to comment #5)
> This package was removed due to incompatibilities with the latest version of
> gnome, but Compiz works perfectly fine with other window managers (eg.
> XFCE). Don't retire a package just because it doesn't work for gnome users.

Sorry, this compiz version is designed for the Mate-Desktop as you could see in the spec file.
Hopefuly it works also for xfce and lxde.
Comment 8 Wolfgang Ulbrich 2012-09-26 06:15:59 EDT
The package is ready for review now.

SPEC: http://raveit65.fedorapeople.org/compiz/SPEC/compiz.spec

SRPM: http://raveit65.fedorapeople.org/compiz/SRPM/compiz-0.8.8-4.fc18.src.rpm


%changelog
* Wed Sep 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-4
- remove upstreamed patches
- own include dir
- add compiz-mate-gtk source and compiz-mate-gtk.desktop file
- add keybinding sources
- change %%define to %%global entries
- rename no-more-gnome-wm-settings.patch to no-more-mate-wm-settings.patch
- add compiz-0.88_incorrect-fsf-address.patch
- clean up build section
Comment 9 leigh scott 2012-09-26 06:28:49 EDT
(In reply to comment #8)
> The package is ready for review now.

There is still a block in place due to mate-control-center.

> 
> SPEC: http://raveit65.fedorapeople.org/compiz/SPEC/compiz.spec
> 
> SRPM:
> http://raveit65.fedorapeople.org/compiz/SRPM/compiz-0.8.8-4.fc18.src.rpm
> 
> 
> %changelog
> * Wed Sep 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-4
> - remove upstreamed patches
> - own include dir
> - add compiz-mate-gtk source and compiz-mate-gtk.desktop file
> - add keybinding sources
> - change %%define to %%global entries
> - rename no-more-gnome-wm-settings.patch to no-more-mate-wm-settings.patch
> - add compiz-0.88_incorrect-fsf-address.patch
> - clean up build section

Please remove compiz-0.88_incorrect-fsf-address.patch as it is against guidelines to patch COPYING

https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
Comment 10 Wolfgang Ulbrich 2012-09-26 08:08:08 EDT
(In reply to comment #9)
> (In reply to comment #8)
> 
> Please remove compiz-0.88_incorrect-fsf-address.patch as it is against
> guidelines to patch COPYING
> 
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Thanks Leigh,
i remove the COPYING parts from the patch and notice upstream about this issue.

http://bugs.compiz.org/show_bug.cgi?id=92

New sources:
SPEC: http://raveit65.fedorapeople.org/compiz/SPEC/compiz.spec

SRPM: http://raveit65.fedorapeople.org/compiz/SRPM/compiz-0.8.8-5.fc18.src.rpm
Comment 11 Dan Mashal 2012-09-30 15:17:38 EDT
Hey Wolfgang,

Thanks for submitting this. Maybe we should rename this to compiz-mate?
Comment 12 leigh scott 2012-10-05 07:06:09 EDT
APPROVED


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/compiz
See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel, %package mate
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "GPL (v2 or later) (with incorrect FSF address)",
     "GPL (v2 or later)", "LGPL (v2 or later) (with incorrect FSF address)",
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/leigh/Desktop/851800-compiz/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/compiz
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch8 (no-more-mate-wm-settings.patch) Patch0
     (comiz_mate_fork.patch) Patch3 (composite-cube-logo.patch) Patch4
     (fedora-logo.patch) Patch5 (redhat-logo.patch) Source0
     (compiz-0.8.8.tar.bz2) Source6 (50-marco-windows.xml) Source4 (50-marco-
     navigation.xml) Source5 (50-marco-system.xml)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: compiz-0.8.8-5.fc19.x86_64.rpm
          compiz-devel-0.8.8-5.fc19.x86_64.rpm
          compiz-mate-0.8.8-5.fc19.x86_64.rpm
          compiz-debuginfo-0.8.8-5.fc19.x86_64.rpm
          compiz-0.8.8-5.fc19.src.rpm
compiz.x86_64: W: spelling-error Summary(en_US) compositing -> composting, com positing, com-positing
compiz.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
compiz.x86_64: E: incorrect-fsf-address /usr/share/doc/compiz-0.8.8/COPYING.GPL
compiz.x86_64: E: incorrect-fsf-address /usr/share/doc/compiz-0.8.8/COPYING.LGPL
compiz.x86_64: W: no-manual-page-for-binary compiz
compiz-devel.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
compiz-devel.x86_64: W: no-documentation
compiz-mate.x86_64: W: spelling-error %description -l en_US gtk -> gt, gt k
compiz-mate.x86_64: W: no-documentation
compiz-mate.x86_64: W: no-manual-page-for-binary compiz-mate-gtk
compiz-mate.x86_64: W: no-manual-page-for-binary gtk-window-decorator
compiz-mate.x86_64: W: dangerous-command-in-%pre rm
compiz-mate.x86_64: W: dangerous-command-in-%post rm
compiz.src: W: spelling-error Summary(en_US) compositing -> composting, com positing, com-positing
compiz.src: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
5 packages and 0 specfiles checked; 2 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint compiz-devel compiz-debuginfo compiz-mate compiz
compiz-devel.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
compiz-devel.x86_64: W: no-documentation
compiz-mate.x86_64: W: spelling-error %description -l en_US gtk -> gt, gt k
compiz-mate.x86_64: W: no-documentation
compiz-mate.x86_64: W: no-manual-page-for-binary compiz-mate-gtk
compiz-mate.x86_64: W: no-manual-page-for-binary gtk-window-decorator
compiz-mate.x86_64: W: dangerous-command-in-%pre rm
compiz-mate.x86_64: W: dangerous-command-in-%post rm
compiz.x86_64: W: spelling-error Summary(en_US) compositing -> composting, com positing, com-positing
compiz.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
compiz.x86_64: E: incorrect-fsf-address /usr/share/doc/compiz-0.8.8/COPYING.GPL
compiz.x86_64: E: incorrect-fsf-address /usr/share/doc/compiz-0.8.8/COPYING.LGPL
compiz.x86_64: W: no-manual-page-for-binary compiz
4 packages and 0 specfiles checked; 2 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
compiz-0.8.8-5.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    desktop-file-utils  
    glx-utils  
    libGL.so.1()(64bit)  
    libGLU.so.1()(64bit)  
    libICE.so.6()(64bit)  
    libSM.so.6()(64bit)  
    libX11.so.6()(64bit)  
    libXcomposite.so.1()(64bit)  
    libXdamage.so.1()(64bit)  
    libXext.so.6()(64bit)  
    libXfixes.so.3()(64bit)  
    libXinerama.so.1()(64bit)  
    libXrandr.so.2()(64bit)  
    libXrender.so.1()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdecoration.so.0()(64bit)  
    libdl.so.2()(64bit)  
    libfuse.so.2()(64bit)  
    libfuse.so.2(FUSE_2.4)(64bit)  
    libfuse.so.2(FUSE_2.5)(64bit)  
    libfuse.so.2(FUSE_2.6)(64bit)  
    libm.so.6()(64bit)  
    libpng15.so.15()(64bit)  
    libpng15.so.15(PNG15_0)(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libstartup-notification-1.so.0()(64bit)  
    libxml2.so.2()(64bit)  
    libxml2.so.2(LIBXML2_2.4.30)(64bit)  
    libxml2.so.2(LIBXML2_2.6.0)(64bit)  
    libxslt.so.1()(64bit)  
    libz.so.1()(64bit)  
    rtld(GNU_HASH)  
    system-logos  

compiz-devel-0.8.8-5.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    compiz(x86-64) = 0.8.8-5.fc19
    libICE-devel  
    libSM-devel  
    libXcomposite-devel  
    libXdamage-devel  
    libXfixes-devel  
    libXinerama-devel  
    libXrandr-devel  
    libdecoration.so.0()(64bit)  
    libxml2-devel  
    libxslt-devel  
    pkgconfig  
    pkgconfig(compiz)  
    pkgconfig(ice)  
    pkgconfig(libstartup-notification-1.0) >= 0.7
    pkgconfig(libxml-2.0)  
    pkgconfig(libxslt)  
    pkgconfig(sm)  
    pkgconfig(x11)  
    pkgconfig(xcomposite)  
    pkgconfig(xdamage)  
    pkgconfig(xext)  
    pkgconfig(xfixes)  
    pkgconfig(xinerama)  
    pkgconfig(xrandr)  
    pkgconfig(xrender)  
    startup-notification-devel  

compiz-mate-0.8.8-5.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /bin/sh  
    compiz(x86-64) = 0.8.8
    config(compiz-mate) = 0.8.8-5.fc19
    libX11.so.6()(64bit)  
    libXrender.so.1()(64bit)  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libdecoration.so.0()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libm.so.6()(64bit)  
    libmarco-private.so.0()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    librsvg-2.so.2()(64bit)  
    libwnck-1.so.22()(64bit)  
    mate-conf  
    rtld(GNU_HASH)  

compiz-debuginfo-0.8.8-5.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
compiz-0.8.8-5.fc19.x86_64.rpm:
    
    compiz = 0.8.8-5.fc19
    compiz(x86-64) = 0.8.8-5.fc19
    libblur.so()(64bit)  
    libclone.so()(64bit)  
    libcommands.so()(64bit)  
    libcube.so()(64bit)  
    libdbus.so()(64bit)  
    libdecoration.so()(64bit)  
    libdecoration.so.0()(64bit)  
    libfade.so()(64bit)  
    libfs.so()(64bit)  
    libini.so()(64bit)  
    libinotify.so()(64bit)  
    libminimize.so()(64bit)  
    libmove.so()(64bit)  
    libobs.so()(64bit)  
    libplace.so()(64bit)  
    libpng.so()(64bit)  
    libregex.so()(64bit)  
    libresize.so()(64bit)  
    librotate.so()(64bit)  
    libscale.so()(64bit)  
    libscreenshot.so()(64bit)  
    libswitcher.so()(64bit)  
    libvideo.so()(64bit)  
    libwall.so()(64bit)  
    libwater.so()(64bit)  
    libwobbly.so()(64bit)  
    libzoom.so()(64bit)  

compiz-devel-0.8.8-5.fc19.x86_64.rpm:
    
    compiz-devel = 0.8.8-5.fc19
    compiz-devel(x86-64) = 0.8.8-5.fc19
    pkgconfig(compiz) = 0.8.8
    pkgconfig(compiz-cube) = 0.8.8
    pkgconfig(compiz-mateconf) = 0.8.8
    pkgconfig(compiz-scale) = 0.8.8
    pkgconfig(libdecoration) = 0.8.8

compiz-mate-0.8.8-5.fc19.x86_64.rpm:
    
    compiz-mate = 0.8.8-5.fc19
    compiz-mate(x86-64) = 0.8.8-5.fc19
    config(compiz-mate) = 0.8.8-5.fc19
    libannotate.so()(64bit)  
    libglib.so()(64bit)  
    libmatecompat.so()(64bit)  
    libmateconf.so()(64bit)  
    libsvg.so()(64bit)  

compiz-debuginfo-0.8.8-5.fc19.x86_64.rpm:
    
    compiz-debuginfo = 0.8.8-5.fc19
    compiz-debuginfo(x86-64) = 0.8.8-5.fc19



Unversioned so-files
--------------------
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libblur.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libclone.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libcommands.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libcube.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libdbus.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libdecoration.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libfade.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libfs.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libini.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libinotify.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libminimize.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libmove.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libobs.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libplace.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libpng.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libregex.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libresize.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/librotate.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libscale.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libscreenshot.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libswitcher.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libvideo.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libwall.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libwater.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libwobbly.so
compiz-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libzoom.so
compiz-mate-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libannotate.so
compiz-mate-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libglib.so
compiz-mate-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libmatecompat.so
compiz-mate-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libmateconf.so
compiz-mate-0.8.8-5.fc19.x86_64.rpm: /usr/lib64/compiz/libsvg.so

MD5-sum check
-------------
http://releases.compiz.org/0.8.8/compiz-0.8.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : 3ba555b0d6d536850a227d37d6ebc5cd5b15ee5bad83d7956529a27b870977e3
  CHECKSUM(SHA256) upstream package : 3ba555b0d6d536850a227d37d6ebc5cd5b15ee5bad83d7956529a27b870977e3


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 851800


Please remove the (noreplace) when you import

%config(noreplace) %{_sysconfdir}/mateconf/schemas/*.schemas
Comment 13 leigh scott 2012-10-05 07:37:00 EDT
Created attachment 622119 [details]
patch

Also fix the missing scriptlet when you import
Comment 14 leigh scott 2012-10-05 07:45:15 EDT
(In reply to comment #13)
> Created attachment 622119 [details]
> patch
> 
> Also fix the missing scriptlet when you import

Ignore this and remove

update-desktop-database -q %{_datadir}/applications

from "%post mate" as there is no mime type
Comment 15 Wolfgang Ulbrich 2012-10-05 07:57:13 EDT
Thank you Leigh for review.
I will add your last hints to the package.
Comment 16 Wolfgang Ulbrich 2012-10-05 08:02:27 EDT
Package Change Request
======================
Package Name: compiz
New Branches: f17 f18
Owners: raveit65
InitialCC:
Comment 17 Jon Ciesla 2012-10-05 08:31:08 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2013-01-16 17:26:08 EST
compiz-0.8.8-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-0.8.8-13.fc18
Comment 19 Fedora Update System 2013-01-19 22:38:30 EST
compiz-0.8.8-13.fc18 has been pushed to the Fedora 18 testing repository.
Comment 20 Fedora Update System 2013-01-28 10:13:47 EST
compiz-0.8.8-13.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.